Subject: rebase -i reword converts to pick on pre-commit non-zero exit

From: "Neal Kreitzinger" <[email-masked]>
Date: Wed, 1 Feb 2012 15:27:44 -0600

When interactive rebase does the reword command it runs the pre-commit hook 
for that commit (a).  If the pre-commit hook gives a non-zero exit then 
interactive rebase picks commit (a) and continues to the next commit (b) in 
the rebase-to-do-list.  Instead of picking commit (a) when the pre-commit 
hook exits non-zero on the reword command, shouldn't interactive rebase 
learn to edit commit (a) and tell the user that because the pre-commit hook 
exited non-zero they need to either remedy the pre-commit hook violations 
and run git commit --amend or run git commit --amend --no-verify to bypass 
the pre-commit hook?  Otherwise, you have to run another rebase after the 
rejected rewords and edit those commits to accomplish the rewords.

v/r,
neal